
#include "bzfsAPI.h"

#include <map>
#include <string>


//============================================================================//

class PhydrvHandler : public bz_EventHandler {
  public:
    PhydrvHandler();
    virtual ~PhydrvHandler();

    void process(bz_EventData *eventData);

    void insertEvents();
    void removeEvents();

    int getPhydrv(int playerID) const;

  private:
    virtual void phydrvChange(int playerID, int newPhydrv, int oldPhydrv) = 0;

  private:
    void setPhydrv(int playerID, int phydrv);

  private:
    std::map<int, int> players; // playerID, phydrv


  public: // static functions
    typedef std::map<int, std::string> IdMap;
    typedef std::map<std::string, int> NameMap;

    static const IdMap*   getIdMap();
    static const NameMap* getNameMap();
};


//============================================================================//
